商品自由項目ラベル更新
PUT
/products/reserve_item_labels/{no}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/reserve_item_labels/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"label":"string"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/reserve_item_labels/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "label": "string" }'商品自由項目ラベル情報を登録または更新します。
URI指定した商品自由項目番号が存在しなければ登録処理、存在すれば更新処理を行います。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”no
required
string
商品自由項目番号
Request Body
Section titled “Request Body”Media typeapplication/json
object
label
required
ラベル
string
Example
{ "label": "string"}Responses
Section titled “Responses”取得成功
Media typeapplication/json
object
no
商品自由項目番号
string
label
ラベル
string
Example
{ "no": "string", "label": "string"}- URI指定の商品自由項目番号が1未満である場合
- URI指定の商品自由項目番号が100以上である場合
- URI指定の商品自由項目番号が文字列である場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "[項目番号] 1以上で入力して下さい", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "[項目番号] 99以下で入力して下さい", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "[項目番号] 半角数字(整数)で入力して下さい", "status": 400}